#pragma once
#include <map>
struct M_ActivityTimeShopCFGData
{
	//编号
	int mID;
	//物品ID
	std::vector<int> mItemIDs;
	//物品数量
	std::vector<int> mItemCounts;
	//权重
	int mweight;
};

class M_ActivityTimeShopCFG
{
public:
private:
	static std::auto_ptr<M_ActivityTimeShopCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityTimeShopCFGData* GetData(int ID);
	const std::map<int, M_ActivityTimeShopCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityTimeShopCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityTimeShopCFGData> mMapData;
};
